Bug 107488 - gl.h:2090: error: redefinition of typedef ‘GLeglImageOES’
Summary: gl.h:2090: error: redefinition of typedef ‘GLeglImageOES’
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2018-08-05 07:52 UTC by Vinson Lee
Modified: 2018-08-08 15:40 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
proposed fix (789 bytes, patch)
2018-08-06 15:33 UTC, Brian Paul
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2018-08-05 07:52:24 UTC
CC     mesa/main/extensions_table.lo
In file included from ../src/mesa/main/glheader.h:37,
                 from ../src/mesa/main/mtypes.h:41,
                 from ../src/mesa/main/extensions.h:39,
                 from mesa/main/extensions_table.c:26:
../include/GL/gl.h:2090: error: redefinition of typedef ‘GLeglImageOES’
../include/GL/glext.h:6482: note: previous declaration of ‘GLeglImageOES’ was here
Comment 1 Brian Paul 2018-08-06 15:33:33 UTC
Created attachment 140982 [details] [review]
proposed fix

Hmmm, I don't see that issue here.  What is your ./configure command line?

In any case, does the attached patch fix this?
Comment 2 Vinson Lee 2018-08-06 21:30:40 UTC
(In reply to Brian Paul from comment #1)
> Created attachment 140982 [details] [review] [review]
> proposed fix
> 
> Hmmm, I don't see that issue here.  What is your ./configure command line?
> 
> In any case, does the attached patch fix this?

Yes, the attached patch fixes the build error.

Tested-by: Vinson Lee <vlee@freedesktop.org>
Comment 3 Brian Paul 2018-08-08 15:40:07 UTC
Fixed by 6ff4795c622762d6498c73b407070f9c6157878e


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.